Subject: ANNOUNCE: Agent-2.91
From: James Duncan <[email-masked]>
Date: 28 May 1996 23:49:45 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

I just uploaded an updated version of Agent to my ftp site,  and to
pause.  It's just a couple of changes I added since Wednesday.

Agent is a perl5 module that supplies object methods for creation,
modifcation of,  and sleeping/wakeing of agents.

Basically,  I scrapped the scope compartment (What was that for
anyway?),  and added two more compartments (Priority and Code).  I also
renamed the packself/unpackself methods to sleep and wake (more
appropriate).  If you've messed around with Agent enough to create any
agents,  your in luck - agent-2.91 should still awaken your old agents
without any code or priority compartment. 

As before, it is available at:

ftp://ftp.hawk.igs.net/pub/users/jduncan/Agent/

and from a CPAN site:

 .../authors/id/JDUNCAN/

If you are interested,  there is a web page->

   http://www.hawk.igs.net/~jduncan/agent/

Have fun!

Regards,
James.